AC(1)

NIMI
ac - tulostaa tilastotiedot käyttäjän yhteysajasta

YLEISKATSAUS

ac  [ -d | --daily-totals ] [ -y | --print-year ]
    [ -p | --individual-totals ] [ väki ]
    [ -f | --file tiedostonimi ] [ -a | --all-days ]
    [ --complain ] [ --reboots ] [ --supplants ]
    [ --timewarps ] [ --compatibility ]
    [ --tw-leniency num ] [ --tw-suspicious num ]
    [ -z | --print-zeros ] [ --debug ]
    [ -V | --version ] [ -h | --help ]

KUVAUS

ac tulostaa raportin yhteysajasta (tunneissa) wtmp tiedostossa olevien sisäänkirjautumisien ja uloskirjautumisien mukaan. Kokonaisaika tulostetaan myös.

Tiedoston wtmp kirjanpitoa päivittävät init(8) ja login(1). Kuitenkaan ac tai login eivät luo tiedostoa wtmp; jos sitä ei ole olemassa, kirjanpitoa ei tehdä. Aloittaaksesi kirjanpito, luo tiedosto nolla-kokoisena.

HUOMIOI: tiedosto wtmp voi kasvaa todella suureksi, todella nopeasti. Haluaisit kai siistiä sitä joka kerta ja koko ajan.

GNU ac toimii lähes samalla tavalla kuin UNIX ac, vaikka se on vähän älykkäämpi useissa asioissa. Voit näinollen odottaa eroja GNU ac:n tulosteessa ja muiden järjestelmien ac:den tulosteissa. Käytä komentoa info accounting saadaksesi lisätietoja.

VALITSIMET
-d, --daily-totals
    Tulostaa kokonaisajat joka päivälle, kuin että se tekisi yhden suuren kokonaisajan loppuun. Tuloste näyttää tältä:
            Jul 3 total 1.17
            Jul 4 total 2.10
            Jul 5 total 8.23
            Jul 6 total 2.10
            Jul 7 total 0.30
-p, --individual-totals
    Tulostaa kokonaisajat jokaiselle käyttäjälle lisäyksenä tavanomaiselle kaikki-kasattu-yhteen-möykkyyn arvoon. Se näyttää tältä:
            pekka 8.06
            kepa 0.60
            matti 7.37
            root 0.12
            total 16.15
väki
    Tulostaa yhteenlasketun kokonaisajan kaikkien käyttäjien yhteysajoista jotka on sisällytetty väkeen. Huomioi että väki on välilyönnein eroteltu lista oikeista käyttäjänimistä; jokereita ei hyväksytä.
-f, --file tiedostonimi
    Lue tiedostosta tiedostonimi, wtmp tiedoston sijaan.
--complain
    Kun wtmp tiedostossa on ongelma (aika-hyppy, puuttuva kohta, tai mitä tahansa), tulostetaan tarkoituksenmukainen virhe.
--reboots
    Uudelleenkäynnistys (reboot) tallenteita EI kirjoiteta uudelleen- käynnistyksen aikana, vaan järjestelmän käynnistyessä; näinollen, on mahdotonta tietää tarkalleen mikä uudelleenkäynnistyksen aiheutti. Käyttäjiä saattaa olla kirjautuneena järjestelmään uudelleenkäynnistyksen aikana, ja useat ac:t automaattisesti laskevat sisäänkirjautumisen ja uudelleenkäynnistys tallenteen välisen ajan käyttäjää varten (vaikka kaikkea tätä aikaa ei pitäisikään olla, kenties, esimerkiksi jos järjestelmä on ollut nurin pidemmän aikaa). Jos haluat laskea tämän ajan, lisää tämä lippu. *Tavalliseen ac yhteensopivuuteen, sisältyy lippu.*
--supplants
    Joskus, uloskirjautumistallennetta ei ole kirjoitettu erityiselle päätteelle, joten käyttäjälle viimeksi kertynyttä aikaa ei voida laskea. Jos haluat lisätä ajan käyttäjän sisäänkirjautumisesta seuraavaan sisäänkirjautumiseen päätteelle (vaikkakin ehkä virheellisesti), lisää tämä lippu. *Tavalliseen ac yhteensopivuuteen, sisältyy lippu.*
--timewarps
    Joskus merkinnät wtmp tiedostossa saattavat yht'äkkiä hypätä ajassa taaksepäin ilman että tallenteessa tapahtuisi kellonajan muutosta. On mahdotonta tietää kuinka kauan käyttäjä oli kirjautuneena kun tämä tapahtui. Jos haluat laskea ajan sisäänkirjautumisen ja aikahypyn välillä käyttäjää varten, lisää tämä lippu. *Tavalliseen ac yhteensopivuuteen, sisältyy lippu.*
--compatibility
    Tämä on lyhennys valitaksesi ylläolevat kolme valintaa.
-a, --all-days
    Jos tulostamme päivittäisiä kokonaisaikoja, tulostetaan tallenne joka päivälle sen sijaan että jätettäisiin välistä päivät joilla ei ole sisäänkirjauksia. Ilman tätä lippua, välistä jätettyinä päivinä kertynyt aika listataan seuraavana päivänä jolloin on tapahtunut sisäänkirjauksia.
--tw-leniency num
    Asettaa aikahypyn aikavälin num sekuntiin. Merkinnät wtmp tiedostossa saattavat olla hieman epäjärjestyksessä (erityisesti silloin kun kaksi sisäänkirjautumista tapahtuu yhden sekunnin aikana - jälkimmäinen näistä kirjoitetaan ensin). Oletuksena, tämä arvo on asetettu 60 sekuntiin. Jos ohjelma huomioi tämän ongelman, käyttäjien aikaa ei huomioida kunnes --timewarps lippua on käytetty.
--tw-suspicious num
    Asettaa aikahypyn epäilyksen arvon num sekuntia. Jos kaksi merkintää wtmp tiedostossa ovat numeron osoittaman ajan etäämpänä toisistaan, täällä on ongelma wtmp tiedostossa (tai konettasi ei ole käytetty vuoteen). Jos ohjelma huomioi tämän ongelman, käyttäjien aikaa ei huomioida kunnes --timewarps lippua on käytetty.
-y, --print-year
    Tulostaa vuosiluvun näytettäessä päiväyksiä.
-z, --print-zeros
    Jos kokonaisaika missä tahansa luokassa (tallenna loppusumma) no nolla, tulosta se. Oletus on että jätetään tulostamatta.
--debug
    Tulosta ohjelman sisäistä virheenjäljitys tietoa.
-V, --version
    Tulostaa ac:n versionumeron vakiotulosteena ja poistuu ohjelmasta.
-h, --help
    Tulostaa käyttöohjeen vakiotulosteena ja poistuu ohjelmasta.

TIEDOSTOT
wtmp
    Järjestelmän kattava sisäänkirjautumistallenne tiedosto. Katso wtmp(5) saadaksesi tarkempia lisätietoja.

TEKIJÄ
GNU accounting apuohjelmat kirjoitti Noel Cragg <noel@gnu.ai.mit.edu>. Englanninkielinen ohje oli mukailtu Susan Kleinmannin (<sgk@sgk.tiac.net>) tekemästä texinfo sivusta.

KATSO MYÖS
login(1), wtmp(5), init(8), sa(8)

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Sami Louko <slouko@dlc.fi>
Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.